[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InterLockedDecrement

Thread-safe decrement

## Declaration

Source position: line 0

`function InterLockedDecrement(`
`var Target: LongInt`
`):LongInt; function InterLockedDecrement(`
`var Target: Pointer`
`):Pointer; function InterLockedDecrement(`
`var Target: Cardinal`
`):Cardinal;`

## Description

InterLockedDecrement decrements Target with 1 and returns the result. This is done in a thread-safe way. (i.e. only one processor is accessing the variable at a time).

## Errors

None.

## See also

InterLockedIncrement |  | Thread-safe increment
InterLockedExchange |  | Exchange 2 integers in a thread-safe way
InterLockedExchangeAdd |  | Thread-safe add and exchange of 2 values
InterlockedCompareExchange |  | Conditional exchange

Documentation generated on: Feb 26 2014